Companies
Lookup company in external registry
Look up a company in the external company registry by organization number and retrieve detailed information including signatories.
Query Parameters:
orgNr(required) - Organization number to search for
Response includes:
- Basic company info (name, status, org number)
- Contact information (phone, address)
- Legal information (company form, domicile, registration dates)
- Tax information (VAT registration, verified against the EU VIES registry;
employerandfTaxare not currently populated) - Business info (SNI codes, activity description, company signature)
- Responsible persons (executives, board members, auditors, owners)
- Location coordinates
Rate Limit: This endpoint is rate limited to 2 requests per minute.
Note: This searches an external registry, not your local workspace companies. Results are cached for 3 days.
GET
/
api
/
v1
/
companies
/
lookup
Lookup company in external registry
curl --request GET \
--url https://app.sajn.se/api/v1/companies/lookup \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'import requests
url = "https://app.sajn.se/api/v1/companies/lookup"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://app.sajn.se/api/v1/companies/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sajn.se/api/v1/companies/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sajn.se/api/v1/companies/lookup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<authorization>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sajn.se/api/v1/companies/lookup")
.header("authorization", "<authorization>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sajn.se/api/v1/companies/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<authorization>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"basic": {
"name": "<string>",
"orgNr": "<string>",
"lastUpdated": "<string>",
"status": "<string>"
},
"contact": {
"phoneNumbers": [
"<string>"
],
"address": {
"careOf": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>"
}
},
"legalInfo": {
"orgNumber": "<string>",
"companyName": "<string>",
"companyForm": "<string>",
"domicile": "<string>",
"registration": {
"companyFormed": "<string>",
"companyRegistered": "<string>",
"registrationDate": "<string>",
"articlesOfAssociation": "<string>"
}
},
"taxInfo": {
"employer": "<string>",
"fTax": "<string>",
"vat": "<string>",
"vatNumber": "<string>"
},
"business": {
"sni": [
"<unknown>"
],
"activityDescription": "<string>",
"companySignature": "<string>"
},
"responsiblePersons": {
"executives": [
{
"name": "<string>",
"role": "<string>",
"personId": "<string>",
"age": 123,
"personUrl": "<string>"
}
],
"board": [
{
"name": "<string>",
"role": "<string>",
"personId": "<string>",
"age": 123,
"personUrl": "<string>"
}
],
"auditors": [
{
"name": "<string>",
"role": "<string>",
"personId": "<string>",
"age": 123,
"personUrl": "<string>"
}
],
"owners": [
{
"name": "<string>",
"personId": "<string>",
"age": 123,
"role": "<string>",
"personUrl": "<string>",
"control": "<string>"
}
]
},
"location": {
"latitude": 123,
"longitude": 123
}
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}You’re viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To see the current version, select 2026-10 in the menu at the top of the sidebar. To move your integration, see Upgrading to 2026-10.Authorizations
bearerAuthoauth2
Query Parameters
Response
Company details from external registry including signatories
Company details from external registry including signatories
Was this page helpful?
⌘I
Lookup company in external registry
curl --request GET \
--url https://app.sajn.se/api/v1/companies/lookup \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'import requests
url = "https://app.sajn.se/api/v1/companies/lookup"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://app.sajn.se/api/v1/companies/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sajn.se/api/v1/companies/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sajn.se/api/v1/companies/lookup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<authorization>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sajn.se/api/v1/companies/lookup")
.header("authorization", "<authorization>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sajn.se/api/v1/companies/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<authorization>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"basic": {
"name": "<string>",
"orgNr": "<string>",
"lastUpdated": "<string>",
"status": "<string>"
},
"contact": {
"phoneNumbers": [
"<string>"
],
"address": {
"careOf": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>"
}
},
"legalInfo": {
"orgNumber": "<string>",
"companyName": "<string>",
"companyForm": "<string>",
"domicile": "<string>",
"registration": {
"companyFormed": "<string>",
"companyRegistered": "<string>",
"registrationDate": "<string>",
"articlesOfAssociation": "<string>"
}
},
"taxInfo": {
"employer": "<string>",
"fTax": "<string>",
"vat": "<string>",
"vatNumber": "<string>"
},
"business": {
"sni": [
"<unknown>"
],
"activityDescription": "<string>",
"companySignature": "<string>"
},
"responsiblePersons": {
"executives": [
{
"name": "<string>",
"role": "<string>",
"personId": "<string>",
"age": 123,
"personUrl": "<string>"
}
],
"board": [
{
"name": "<string>",
"role": "<string>",
"personId": "<string>",
"age": 123,
"personUrl": "<string>"
}
],
"auditors": [
{
"name": "<string>",
"role": "<string>",
"personId": "<string>",
"age": 123,
"personUrl": "<string>"
}
],
"owners": [
{
"name": "<string>",
"personId": "<string>",
"age": 123,
"role": "<string>",
"personUrl": "<string>",
"control": "<string>"
}
]
},
"location": {
"latitude": 123,
"longitude": 123
}
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}
